# -*- coding: utf-8 -*-

import os
import shutil
from artix.common import py2to3utils
from plugins import status

def main(message):
    try:
        rename_directory("/var/lib/puppet/ssl", "/var/lib/puppet/ssl_backup")
        mess = "Сертификаты успешно удалены"
    except py2to3utils.FileNotFoundError as e:
        mess = "Сертификаты уже были удалены"
    except Exception as e:
        return status.errorProgramm, str(e)
    return status.OK, mess

def rename_directory(old_name, new_name):
    if os.path.exists(new_name):
        shutil.rmtree(new_name)
    os.rename(old_name, new_name)